org.eclipse.equinox.p2.core.spi

## Interface IAgentServiceFactory

    public interface IAgentServiceFactory

A factory for creating a service that forms part of a provisioning agent instance. Factories themselves are registered in the OSGi service registry so that they can be obtained by a provisioning agent.

Since:
  2.0

### Field Summary

Fields
`static String` `PROP_CREATED_SERVICE_NAME` The service property specifying the name of the service created by this factory.
`static String` `SERVICE_NAME` The service name for the factory service.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `createService(IProvisioningAgent agent)` Instantiates a service instance for the given provisioning agent.

### Field Detail

#### SERVICE_NAME

    static final String SERVICE_NAME

The service name for the factory service.

#### PROP_CREATED_SERVICE_NAME

    static final String PROP_CREATED_SERVICE_NAME

The service property specifying the name of the service created by this factory.

See Also:
  Constant Field Values

### Method Detail

#### createService

    Object createService(IProvisioningAgent agent)

Instantiates a service instance for the given provisioning agent.

Parameters:
  `agent` - The agent this service will belong to
Returns:
  The created service